aboutsummaryrefslogtreecommitdiffstats
path: root/tools/compare-abis.sh
diff options
context:
space:
mode:
authorBalint Reczey <balint.reczey@ericsson.com>2011-06-05 19:29:30 +0000
committerBalint Reczey <balint.reczey@ericsson.com>2011-06-05 19:29:30 +0000
commit198c4138caeafdf95b9237b170501ed483721d60 (patch)
tree01ea781fc1fc30210f46b6d6d2d636ec3faf7da6 /tools/compare-abis.sh
parentaa369ddbae1ef9513dab6f38ab67269ea590b3c2 (diff)
Collect number of errors form ABI checks runs in compare-abis.sh.
svn path=/trunk/; revision=37553
Diffstat (limited to 'tools/compare-abis.sh')
-rwxr-xr-xtools/compare-abis.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/tools/compare-abis.sh b/tools/compare-abis.sh
index 60e7edbe53..4e705a4fc2 100755
--- a/tools/compare-abis.sh
+++ b/tools/compare-abis.sh
@@ -3,8 +3,6 @@
# Compare ABIs of two Wireshark working copies
# $Id: $
-set -e
-
function acc () {
LIBNAME=$1
DIR=$2
@@ -29,7 +27,10 @@ V2_PATH=$2
#make -C $V1_PATH all dumpabi
#make -C $V2_PATH all dumpabi
-acc libwiretap wiretap $V1_PATH $V2_PATH
+acc libwiretap wiretap $V1_PATH $V2_PATH
+RET=$?
acc libwsutil wsutil $V1_PATH $V2_PATH
+RET=$(($RET + $?))
acc libwireshark epan $V1_PATH $V2_PATH
+exit $(($RET + $?))